Bug 235813 - CPU Fan stops as kernel starts booting in FC6
CPU Fan stops as kernel starts booting in FC6
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
6
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Jarod Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-10 06:39 EDT by Sudarshan Hegde
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 18:19:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sudarshan Hegde 2007-04-10 06:39:08 EDT
The CPU fan ( of P3 450 MHz Intel) stops as soon as the kernel starts booting,
and never comes up again.


Version-Release number of selected component (if applicable): FC6 (DVD version)
kernel 2-6-18


How reproducible:
Reboot
Comment 1 Jarod Wilson 2007-04-10 08:52:39 EDT
Does this lead to an actual problem? If the system is running cool enough and
has fan throttling abilities enabled in the bios, this is intentional. If its
leading to issues, please try to reproduce with the latest FC6 kernel. If its
still causing problems with that kernel, we may need to do some additional
debugging...
Comment 2 Shaun Dudley 2007-04-15 21:43:57 EDT
I have experianced this with my Compaq nx6325 laptop. Even with the BIOS set to
run the fan when on A/C, as soon as Linux begins to boot the fan will spin down
to practically nothing. I think it's an issue with the ACPI mechanism. I'm
running Ksensors and have alarms set on HD temp to alert me to when the temp
rises. Ignoring the alarm will eventually trigger the BIOS to shut down the
laptop. I'm guessing this is a safety mechanism to prevent a meltdown to the
CPU. If you power the laptop back on immediatly after an overheat condition shut
own the fan comes on at full speed until Linux begins to boot and then the fan
RPM's drop back to hardly anything. The older FC6 kernels would shut the fan
completely off. The newer versions seem to just throttle it down to a much
slower RPM. I've read a few sites where the authors have accused HP of having a
bug in their BIOS code etc however, I'm not familiar enough with the underlying
ACPI structure to provide any input other than observations at this point.
(2.6.20-1.2944.fc6 #1 SMP x86_64 x86_64 x86_64)
Comment 3 Jarod Wilson 2007-06-06 09:55:59 EDT
Any better with the latest Fedora 7 kernel?

And yeah, HP is somewhat notorious for having bios issues...
Comment 4 Jarod Wilson 2008-02-12 18:19:32 EST
No activity in 7 months, closing INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.